Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#516 CamelComplete updated for compatibility with jEdit 4.3pre16

closed
Townsfolk
None
5
2008-12-18
2008-11-26
Jesse Pavel
No

{{{ CamelComplete 2.7.2
Source: Source code is in SVN with the tag release-2_7_2
Announcement: CamelComplete updated for compatibility with jEdit 4.3pre16
Requires Java 1.5
Requires jEdit 04.03.12.00

Short Description: This plugin provides for code-completion in a CamelCase or regex_separated_identifier style.

Long Description:
<pre>

This plugin provides a "CamelComplete Word" command for jEdit. This can
expand abbreviations into their full words as shown by these examples,
which show identifiers and their abbreviations:

SwingUtilities -> SU
GtkMessageBox -> GMB
IOException -> IOE

The plugin also comes with a Regular Expression parser, so that you can
break words apart using a regexp. This is useful for C and Lisp, among
others.

Regexp: [_-]

gtk_check_menu_item_set_inconsistent -> gcmisi
gtk_menu_item_new -> gmin
multi-define-syntax -> mds

In its default, Simple Mode, the plugin will work with CamelCase and
underscore-separated words. Almost anything is configurable using its
Advanced Mode.

</pre>
}}}

Discussion

  • Townsfolk
    Townsfolk
    2008-11-30

    If the plugin has been updated to work with 4.3pre16, please update the required jEdit version number to match. Then retag the release and I'll release it.

    Thanks.

     
  • Townsfolk
    Townsfolk
    2008-11-30

    • assigned_to: nobody --> elberry
    • status: open --> pending
     
  • This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed
     
  • Jesse Pavel
    Jesse Pavel
    2008-12-15

    • status: closed --> open
     
  • Jesse Pavel
    Jesse Pavel
    2008-12-15

    What was specifically updated was making a few methods public that were package private before. The setting in jEdit's BeanShell startup that had allowed it to see package private methods previously was removed, and so the plugin "broke". So with this version it works with pre16 and previous versions, and so the required version should stay the same.

    Regards,
    Jesse

     
  • Townsfolk
    Townsfolk
    2008-12-18

    • status: open --> closed
     
  • Townsfolk
    Townsfolk
    2008-12-18

    Cool. Released to plugin central.